/**
* OLAT - Online Learning and Training<br>
* http://www.olat.org
* <p>
* Licensed under the Apache License, Version 2.0 (the "License"); <br>
* you may not use this file except in compliance with the License.<br>
* You may obtain a copy of the License at
* <p>
* http://www.apache.org/licenses/LICENSE-2.0
* <p>
* Unless required by applicable law or agreed to in writing,<br>
* software distributed under the License is distributed on an "AS IS" BASIS, <br>
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
* See the License for the specific language governing permissions and <br>
* limitations under the License.
* <p>
* Copyright (c) since 2004 at Multimedia- & E-Learning Services (MELS),<br>
* University of Zurich, Switzerland.
* <hr>
* <a href="http://www.openolat.org">
* OpenOLAT - Online Learning and Training</a><br>
* This file has been modified by the OpenOLAT community. Changes are licensed
* under the Apache 2.0 license as the original file.
*/
package org.olat.course.nodes.projectbroker.datamodel;

import java.util.List;

import org.olat.core.commons.persistence.PersistentObject;
import org.olat.core.logging.AssertException;
import org.olat.core.util.resource.OresHelper;
/**
 * Implementation of the Forum Interface 
 *
 * @author Felix Jost
 */
public class ProjectBrokerImpl extends PersistentObject implements ProjectBroker {

	private static final long serialVersionUID = -6007111791449152666L;
	private List<Project> projectList;

	/* (non-Javadoc)
	 * @see org.olat.core.id.OLATResourceablegetTypeName()
	 */
	public String getResourceableTypeName() {
		return OresHelper.calculateTypeName(ProjectBroker.class);
	}

	/* (non-Javadoc)
	 * @see org.olat.core.id.OLATResourceablegetId()
	 */
	public Long getResourceableId() {
		Long id = getKey();
		if (id == null) throw new AssertException("getId() must not be called before an id has been generated by the persister");				
		return id;
	}

	public List<Project> getProjects() {
		return projectList;
	}

	public void setProjects(List<Project> projectList) {
		this.projectList = projectList;
	}

}
