/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.modules.quality.analysis;

/**
 * 
 * Initial date: 11.09.2018<br>
 * @author uhensler, urs.hensler@frentix.com, http://www.frentix.com
 *
 */
public enum GroupBy {

	TOPIC_IDENTITY("heatmap.group.topic.identity"),
	TOPIC_ORGANISATION("heatmap.group.topic.organisation"),
	TOPIC_CURRICULUM("heatmap.group.topic.curriculum"),
	TOPIC_CURRICULUM_ELEMENT("heatmap.group.topic.curriculum.element"),
	TOPIC_REPOSITORY("heatmap.group.topic.repository"),
	CONTEXT_ORGANISATION("heatmap.group.context.organisation"), // of the executor
	CONTEXT_CURRICULUM("heatmap.group.context.curriculum"),
	CONTEXT_CURRICULUM_ELEMENT("heatmap.group.context.curriculum.element"),
	CONTEXT_CURRICULUM_ORGANISATION("heatmap.group.context.curriculum.organisation"),
	CONTEXT_TAXONOMY_LEVEL("heatmap.group.context.taxonomy.level"),
	CONTEXT_LOCATION("heatmap.group.context.location"),
	DATA_COLLECTION("heatmap.group.data.collection");

	private String i18nKey;

	private GroupBy(String i18nKey) {
		this.i18nKey = i18nKey;
	}

	public String i18nKey() {
		return i18nKey;
	}

}
